import { XYZHelper } from '../util/helpers';
import { XYZRefs } from '../util/xyz-refs';
import { FromXYZ } from './xyz';
export class FromLab {
    static toXYZ(l, a, b) {
        const args = FromLab.resolveArguments(l, a, b);
        let y = (args.l + 16) / 116;
        let x = args.a / 500 + y;
        let z = y - args.b / 200;
        x = XYZHelper.pivotFromLab(x);
        y = XYZHelper.pivotFromLab(y);
        z = XYZHelper.pivotFromLab(z);
        // We assume D65 at 2deg illuminant here which corresponds to sRGB.
        return {
            x: x * XYZRefs.D65_2d.x,
            y: y * XYZRefs.D65_2d.y,
            z: z * XYZRefs.D65_2d.z
        };
    }
    static toRGBF(l, a, b) {
        return FromXYZ.toRGBF(FromLab.toXYZ(l, a, b));
    }
    static toRGB8(l, a, b) {
        return FromXYZ.toRGB8(FromLab.toXYZ(l, a, b));
    }
    static resolveArguments(l, a, b) {
        const argumentType = typeof l;
        if (argumentType === 'object' && l !== null) {
            return { l: l.l, a: l.a, b: l.b };
        }
        if (argumentType === 'number') {
            return { l: l, a: a, b: b };
        }
        throw new TypeError('Unknown arguments passed');
    }
}
