/**
 * Container for matrix transformation constants.
 */
export declare class Matrix {
    /**
     * sRGB to XYZ conversion matrix.
     * @type {{
     *   r: number[number, number, number];
     *   g: number[number, number, number];
     *   b: number[number, number, number]
     * }}
     */
    static readonly sRGBtoXYZ: {
        r: number[];
        g: number[];
        b: number[];
    };
    /**
     * XYZ to sRGB conversion matrix.
     * @type {{
     *   r: number[number, number, number];
     *   g: number[number, number, number];
     *   b: number[number, number, number]
     * }}
     */
    static readonly XYZtosRGB: {
        x: number[];
        y: number[];
        z: number[];
    };
}
